/*@import url("https://fonts.googleapis.com/css2?family=Montserrat:wght@400;700&display=swap");*/
/*@import url('https://fonts.googleapis.com/css2?family=Cairo:wght@200;300;400;500;600;700;800;900;1000&display=swap');*/

/**, *:before, *:after {*/
/*    box-sizing: border-box;*/
/*}*/

/**,*/
/*body {*/
/*  font-family: 'Cairo', sans-serif!important;*/
/*}*/
/*a {*/
/*    text-decoration: none;*/
/*}*/
/*.typography {*/
/*    font-weight: 400;*/
/*    font-size: 20px;*/
/*    line-height: 30px;*/
/*    width: fit-content;*/
/*    min-width: 10px;*/
/*    height: fit-content;*/
/*    min-height: 16px;*/
/*}*/
/*.content-container {*/
/*    width: 80%;*/
/*}*/
/*.nav-dropdown {*/
/*    display: flex;*/
/*    flex-direction: row;*/
/*    align-items: center;*/
/*    gap: 0.5rem;*/
/*    background: none;*/
/*    border: none;*/
/*}*/

/*.nav-item:hover {*/
/*    color: #eb5333;*/
/*}*/
/*.nav-item:hover span,*/
/*.nav-item.nav-dropdown:hover span,*/
/*.nav-item.nav-dropdown:hover::after {*/
/*    color: #eb5333!important;*/
/*}*/
/*.nav-dropdown:after {*/
/*    display: inline-block;*/
/*    margin-left: .255em;*/
/*    vertical-align: .255em;*/
/*    content: "";*/
/*    border-top: .3em solid;*/
/*    border-right: .3em solid transparent;*/
/*    border-bottom: 0;*/
/*    border-left: .3em solid transparent;*/
/*    color: #fff;*/
/*}*/

/*.active-nav-item {*/
/*    background: #eb5333;*/
/*    border-radius: 15px;*/
/*}*/

/*.active-nav-item:hover {*/
/*    color: #fff;*/
/*}*/

/*@media (max-width: 1200px) {*/
/*    .nav-item {*/
/*        padding: 8px 8px;*/
/*    }*/
/*}*/

/*@media (max-width: 1400px) {*/
/*    .footer-container {*/
/*        width: 85%;*/
/*    }*/
/*    .footer-list-container {*/
/*        justify-content: space-between;*/
/*    }*/
/*    .footer-list {*/
/*        width: fit-content;*/
/*        min-width: 150px;*/
/*    }*/
/*}*/

/*@media (max-width: 1200px) {*/
/*    .footer-container {*/
/*        width: 95%;*/
/*    }*/
/*}*/

/*New Website v0.2.0 code */

html {
  overflow: auto !important;
}

.dropdown-menu {
    box-shadow: 0px 30px 70px 0px rgba(137,139,142,0.15);
    opacity: 0;
    transition: opacity 0.5s ease, color 0.5s ease;
    pointer-events: none;
}

.navigation-item:hover .dropdown-menu {
    opacity: 1;
    pointer-events: auto;
}

/* Mobile navigation */

@media (max-width: 1020px) {
    .navigation-menu {
        opacity: 0;
        visibility: hidden;
        transform: translateY(-20px);
        transition: opacity 0.2s ease, transform 0.2s ease;
        pointer-events: none;
    }

    .navigation-menu.show {
        opacity: 1;
        visibility: visible;
        transform: translateY(0);
        pointer-events: auto;
    }
    
    .dropdown-menu {
      max-height: 0;
      opacity: 0;
      overflow: hidden;
      transition: max-height 0.2s ease, opacity 0.3s ease;
    }
    .dropdown-menu.show {
      max-height: 500px; /* enough to show content */
      opacity: 1;
    }

}

/* End Mobile Navigation*/

/* Animation Classes */
@keyframes jumpTwo {
  0%   { transform: translate3d(0, 0, 0) }
  40%  { transform: translate3d(0, 20px, 0); }
  100% { transform: translate3d(0, 0, 0); }
}

@keyframes jumpThree {
  0%   { transform: translate3d(0, 0, 0) }
  40%  { transform: translate3d(0, -20px, 0); }
  100% { transform: translate3d(0, 0, 0); }
}

@keyframes rotated {
    0% { transform: rotate(0); }
    100% { transform: rotate(360deg); }
}

.animation-jumpTwo {
    animation: jumpTwo 4s infinite linear;
}

.animation-jumpThree {
    animation: jumpThree 3.5s infinite linear;
}

.animation-rotated-12 {
    animation: rotated 12s infinite linear;
}

.animation-rotated-17 {
    animation: rotated 17s infinite linear;
}


/* End animation classes*/


/*button link button css */
.link-btn * {
    transition: transform 0.3s ease, color 0.3s ease !important;
}
.link-btn:hover * {
    color: #ED1C24;
}
.link-btn svg {
  width: 24px;
  height: 24px;
}


/* Pop up */
.modal-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.4);
  display: none;
  align-items: center;
  justify-content: center;
  z-index: 9999;
}

.modal-box {
  background: white;
  padding: 2rem;
  border-radius: 8px;
  width: 90%;
  max-width: 400px;
  box-shadow: 0 8px 24px rgba(0,0,0,0.2);
  text-align: center;
  font-family: "Inter", sans-serif;
}

.modal-box h2 {
  margin-top: 0;
  font-size: 1.5rem;
}

.modal-box button {
  margin-top: 1.5rem;
  padding: 0.5rem 1rem;
  background: #ED1C24;
  border: none;
  color: white;
  border-radius: 4px;
  cursor: pointer;
}
.modal-box button:hover {
  background: #000000;
}